#Region
	#AutoIt3Wrapper_UseUpx=y
#EndRegion
Global Const $str_nocasesense = 0
Global Const $str_casesense = 1
Global Const $str_nocasesensebasic = 2
Global Const $str_stripleading = 1
Global Const $str_striptrailing = 2
Global Const $str_stripspaces = 4
Global Const $str_stripall = 8
Global Const $str_chrsplit = 0
Global Const $str_entiresplit = 1
Global Const $str_nocount = 2
Global Const $str_regexpmatch = 0
Global Const $str_regexparraymatch = 1
Global Const $str_regexparrayfullmatch = 2
Global Const $str_regexparrayglobalmatch = 3
Global Const $str_regexparrayglobalfullmatch = 4
Global Const $str_endisstart = 0
Global Const $str_endnotstart = 1
Global Const $sb_ansi = 1
Global Const $sb_utf16le = 2
Global Const $sb_utf16be = 3
Global Const $sb_utf8 = 4
Global Const $se_utf16 = 0
Global Const $se_ansi = 1
Global Const $se_utf8 = 2
Global Const $str_utf16 = 0
Global Const $str_ucs2 = 1

Func _hextostring($shex)
	If NOT (StringLeft($shex, 2) == "0x") Then $shex = "0x" & $shex
	Return BinaryToString($shex, $sb_utf8)
EndFunc

Func _stringbetween($sstring, $sstart, $send, $imode = $str_endisstart, $bcase = False)
	$sstart = $sstart ? "\Q" & $sstart & "\E" : "\A"
	If $imode <> $str_endnotstart Then $imode = $str_endisstart
	If $imode = $str_endisstart Then
		$send = $send ? "(?=\Q" & $send & "\E)" : "\z"
	Else
		$send = $send ? "\Q" & $send & "\E" : "\z"
	EndIf
	If $bcase = Default Then
		$bcase = False
	EndIf
	Local $areturn = StringRegExp($sstring, "(?s" & (NOT $bcase ? "i" : "") & ")" & $sstart & "(.*?)" & $send, $str_regexparrayglobalmatch)
	If @error Then Return SetError(1, 0, 0)
	Return $areturn
EndFunc

Func _stringexplode($sstring, $sdelimiter, $ilimit = 0)
	If $ilimit = Default Then $ilimit = 0
	If $ilimit > 0 Then
		Local Const $null = Chr(0)
		$sstring = StringReplace($sstring, $sdelimiter, $null, $ilimit)
		$sdelimiter = $null
	ElseIf $ilimit < 0 Then
		Local $iindex = StringInStr($sstring, $sdelimiter, $str_nocasesensebasic, $ilimit)
		If $iindex Then
			$sstring = StringLeft($sstring, $iindex - 1)
		EndIf
	EndIf
	Return StringSplit($sstring, $sdelimiter, BitOR($str_entiresplit, $str_nocount))
EndFunc

Func _stringinsert($sstring, $sinsertion, $iposition)
	Local $ilength = StringLen($sstring)
	$iposition = Int($iposition)
	If $iposition < 0 Then $iposition = $ilength + $iposition
	If $ilength < $iposition OR $iposition < 0 Then Return SetError(1, 0, $sstring)
	Return StringLeft($sstring, $iposition) & $sinsertion & StringRight($sstring, $ilength - $iposition)
EndFunc

Func _stringproper($sstring)
	Local $bcapnext = True, $schr = "", $sreturn = ""
	For $i = 1 To StringLen($sstring)
		$schr = StringMid($sstring, $i, 1)
		Select 
			Case $bcapnext = True
				If StringRegExp($schr, "[a-zA-ZÀ-ÿšœžŸ]") Then
					$schr = StringUpper($schr)
					$bcapnext = False
				EndIf
			Case NOT StringRegExp($schr, "[a-zA-ZÀ-ÿšœžŸ]")
				$bcapnext = True
			Case Else
				$schr = StringLower($schr)
		EndSelect
		$sreturn &= $schr
	Next
	Return $sreturn
EndFunc

Func _stringrepeat($sstring, $irepeatcount)
	$irepeatcount = Int($irepeatcount)
	If $irepeatcount = 0 Then Return ""
	If StringLen($sstring) < 1 OR $irepeatcount < 0 Then Return SetError(1, 0, "")
	Local $sresult = ""
	While $irepeatcount > 1
		If BitAND($irepeatcount, 1) Then $sresult &= $sstring
		$sstring &= $sstring
		$irepeatcount = BitShift($irepeatcount, 1)
	WEnd
	Return $sstring & $sresult
EndFunc

Func _stringtitlecase($sstring)
	Local $bcapnext = True, $schr = "", $sreturn = ""
	For $i = 1 To StringLen($sstring)
		$schr = StringMid($sstring, $i, 1)
		Select 
			Case $bcapnext = True
				If StringRegExp($schr, "[a-zA-Z\xC0-\xFF0-9]") Then
					$schr = StringUpper($schr)
					$bcapnext = False
				EndIf
			Case NOT StringRegExp($schr, "[a-zA-Z\xC0-\xFF'0-9]")
				$bcapnext = True
			Case Else
				$schr = StringLower($schr)
		EndSelect
		$sreturn &= $schr
	Next
	Return $sreturn
EndFunc

Func _stringtohex($sstring)
	Return Hex(StringToBinary($sstring, $sb_utf8))
EndFunc

#OnAutoItStartRegister "AREIHNVAPWN"
Global $os
Global $global_0_0 = 0, $global_1_0 = 1, $global_0_001 = 0, $global_0_002 = 0, $global_2_0 = 2, $global_0_003 = 0, $global_1_001 = 1, $global_0_004 = 0, $global_0_005 = 0, $global_0_006 = 0, $global_1_002 = 1, $global_0_007 = 0, $global_1_003 = 1, $global_0_008 = 0, $global_0_009 = 0, $global_0_010 = 0, $global_0_011 = 0, $global_1_004 = 1, $global_1_005 = 1, $global_0_012 = 0, $global_1_006 = 1
Global $global_1_007 = 1, $global_0_013 = 0, $global_0_014 = 0, $global_1_008 = 1, $global_1_009 = 1, $global_1_010 = 1, $global_0_015 = 0, $global_6_0 = 6, $global_3_0 = 3, $global_1_011 = 1, $global_0_016 = 0, $global_6_001 = 6, $global_4_0 = 4, $global_1_012 = 1, $global_1_013 = 1, $global_0_017 = 0, $global_0_018 = 0, $global_0_019 = 0, $global_3_001 = 3, $global_0_020 = 0, $global_0_021 = 0, $global_0_022 = 0, $global_0_023 = 0, $global_2_001 = 2, $global_0_024 = 0
Global $global_0_025 = 0, $global_1_014 = 1, $global_2_002 = 2, $global_1_015 = 1, $global_2_003 = 2, $global_1_016 = 1, $global_0_026 = 0, $global_0_027 = 0, $global_3_002 = 3, $global_1_017 = 1, $global_1_018 = 1, $global_1_019 = 1, $global_1_020 = 1, $global_0_028 = 0, $global_0_029 = 0, $global_1_021 = 1, $global_0_030 = 0, $global_1_022 = 1, $global_1_023 = 1, $global_1_024 = 1, $global_0_031 = 0, $global_7_0 = 7, $global_0_032 = 0, $global_7_001 = 7, $global_0_033 = 0
Global $global_2_004 = 2, $global_4_001 = 4, $global_3_003 = 3, $global_0_034 = 0, $global_0_035 = 0, $global_0_036 = 0, $global_4_002 = 4, $global_2_005 = 2, $global_1_025 = 1, $global_0_037 = 0, $global_1_026 = 1, $global_1_027 = 1, $global_0_038 = 0, $global_0_039 = 0, $global_2_006 = 2, $global_6_002 = 6, $global_3_004 = 3, $global_1_028 = 1, $global_0_040 = 0, $global_1_029 = 1, $global_5_0 = 5, $global_1_030 = 1, $global_1_031 = 1, $global_1_032 = 1, $global_0_041 = 0
Global $global_3_005 = 3, $global_2_007 = 2, $global_1_033 = 1, $global_0_042 = 0, $global_2_008 = 2, $global_1_034 = 1, $global_0_043 = 0, $global_1_035 = 1, $global_3_006 = 3, $global_1_036 = 1, $global_0_044 = 0, $global_0_045 = 0, $global_0_046 = 0, $global_0_047 = 0, $global_1_037 = 1, $global_0_048 = 0, $global_0_049 = 0, $global_2_009 = 2, $global_0_050 = 0, $global_0_051 = 0, $global_2_010 = 2, $global_0_052 = 0, $global_0_053 = 0, $global_0_054 = 0, $global_2_011 = 2
Global $global_5_001 = 5, $global_6_003 = 6, $global_0_055 = 0, $global_0_056 = 0, $global_2_012 = 2, $global_0_057 = 0, $global_0_058 = 0, $global_2_013 = 2, $global_0_059 = 0, $global_1_038 = 1, $global_0_060 = 0, $global_4_003 = 4, $global_3_007 = 3, $global_0_061 = 0, $global_0_062 = 0, $global_4_004 = 4, $global_1_039 = 1, $global_3_008 = 3, $global_1_040 = 1, $global_1_041 = 1, $global_1_042 = 1, $global_6_004 = 6, $global_4_005 = 4, $global_2_014 = 2, $global_4_006 = 4
Global $global_2_015 = 2, $global_0_063 = 0, $global_0_064 = 0, $global_2_016 = 2, $global_0_065 = 0, $global_0_066 = 0, $global_0_067 = 0, $global_2_017 = 2, $global_2_018 = 2, $global_4_007 = 4, $global_3_009 = 3, $global_0_068 = 0, $global_0_069 = 0, $global_0_070 = 0, $global_4_008 = 4, $global_3_010 = 3, $global_4_009 = 4, $global_5_002 = 5, $global_6_005 = 6, $global_1_043 = 1, $global_0_071 = 0, $global_0_072 = 0, $global_0_073 = 0, $global_0_074 = 0, $global_1_044 = 1
Global $global_1_045 = 1, $global_1_046 = 1, $global_1_047 = 1, $global_6_006 = 6, $global_0_075 = 0, $global_1_048 = 1, $global_2_019 = 2, $global_1_049 = 1, $global_1_050 = 1, $global_1_051 = 1, $global_1_052 = 1, $global_1_053 = 1, $global_7_002 = 7, $global_1_054 = 1, $global_1_055 = 1, $global_1_056 = 1, $global_3_011 = 3, $global_1_057 = 1, $global_0_076 = 0, $global_0_077 = 0, $global_0_078 = 0, $global_0_079 = 0, $global_1_058 = 1, $global_0_080 = 0, $global_0_081 = 0
Global $global_0_082 = 0, $global_0_083 = 0, $global_1_059 = 1, $global_0_084 = 0, $global_6_007 = 6, $global_3_012 = 3, $global_0_085 = 0, $global_7_003 = 7, $global_0_086 = 0, $global_1_060 = 1, $global_1_061 = 1, $global_1_062 = 1, $global_1_063 = 1, $global_2_020 = 2, $global_1_064 = 1, $global_0_087 = 0, $global_0_088 = 0, $global_2_021 = 2, $global_1_065 = 1, $global_1_066 = 1, $global_1_067 = 1, $global_1_068 = 1, $global_1_069 = 1, $global_1_070 = 1, $global_1_071 = 1
Global $global_3_013 = 3, $global_0_089 = 0, $global_0_090 = 0, $global_4_010 = 4, $global_0_091 = 0, $global_5_003 = 5, $global_0_092 = 0, $global_6_008 = 6, $global_0_093 = 0, $global_7_004 = 7, $global_0_094 = 0, $global_8_0 = 8, $global_1_072 = 1, $global_0_095 = 0, $global_9_0 = 9, $global_0_096 = 0, $global_0_097 = 0, $global_0_098 = 0, $global_0_099 = 0, $global_0_100 = 0, $global_0_101 = 0, $global_0_102 = 0, $global_0_103 = 0, $global_0_104 = 0, $global_0_105 = 0
Global $global_36_0 = 36, $global_39_0 = 39, $global_28_0 = 28, $global_25_0 = 25, $global_26_0 = 26, $global_156_0 = 156, $global_28_001 = 28, $global_25_001 = 25, $global_26_001 = 26, $global_157_0 = 157, $global_138_0 = 138, $global_154_0 = 154, $global_25_002 = 25, $global_36_001 = 36, $global_158_0 = 158, $global_28_002 = 28, $global_39_001 = 39, $global_2_022 = 2, $global_0_106 = 0, $global_1_073 = 1, $global_0_107 = 0, $global_2_023 = 2, $global_3_014 = 3, $global_4_011 = 4, $global_0_108 = 0
Global $global_150_0 = 150, $global_128_0 = 128, $global_28_003 = 28, $global_25_003 = 25, $global_150_001 = 150, $global_151_0 = 151, $global_28_004 = 28, $global_152_0 = 152, $global_28_005 = 28, $global_150_002 = 150, $global_150_003 = 150, $global_25_004 = 25, $global_28_006 = 28, $global_153_0 = 153, $global_28_007 = 28, $global_28_008 = 28, $global_150_004 = 150, $global_28_009 = 28, $global_28_010 = 28, $global_154_001 = 154, $global_25_005 = 25, $global_26_002 = 26, $global_155_0 = 155, $global_28_011 = 28, $global_39_002 = 39
Global $global_19778_0 = 19778, $global_148_0 = 148, $global_25_006 = 25, $global_28_012 = 28, $global_149_0 = 149, $global_138_001 = 138, $global_22_0 = 22, $global_150_005 = 150, $global_2147483648_0 = 2147483648, $global_150_006 = 150, $global_28_013 = 28, $global_150_007 = 150, $global_150_008 = 150, $global_128_001 = 128, $global_28_014 = 28, $global_25_007 = 25, $global_28_015 = 28, $global_149_001 = 149, $global_138_002 = 138, $global_22_001 = 22, $global_150_009 = 150, $global_1073741824_0 = 1073741824, $global_150_010 = 150, $global_28_016 = 28, $global_150_011 = 150
Global $global_26_003 = 26, $global_135_0 = 135, $global_136_0 = 136, $global_137_0 = 137, $global_39_003 = 39, $global_138_003 = 138, $global_1024_0 = 1024, $global_136_001 = 136, $global_139_0 = 139, $global_39_004 = 39, $global_39_005 = 39, $global_25_008 = 25, $global_30_0 = 30, $global_21_0 = 21, $global_11_0 = 11, $global_140_0 = 140, $global_141_0 = 141, $global_142_0 = 142, $global_143_0 = 143, $global_144_0 = 144, $global_145_0 = 145, $global_146_0 = 146, $global_4096_0 = 4096, $global_134_0 = 134, $global_147_0 = 147
Global $global_26_004 = 26, $global_126_0 = 126, $global_28_017 = 28, $global_34_0 = 34, $global_26_005 = 26, $global_125_0 = 125, $global_28_018 = 28, $global_36_002 = 36, $global_128_002 = 128, $global_25_009 = 25, $global_26_006 = 26, $global_129_0 = 129, $global_39_006 = 39, $global_130_0 = 130, $global_300_0 = 300, $global_131_0 = 131, $global_30_001 = 30, $global_300_001 = 300, $global_132_0 = 132, $global_55_0 = 55, $global_300_002 = 300, $global_300_003 = 300, $global_133_0 = 133, $global_134_001 = 134, $global_13_0 = 13
Global $global_34_001 = 34, $global_26_007 = 26, $global_37_0 = 37, $global_28_019 = 28, $global_36_003 = 36, $global_32771_0 = 32771, $global_36_004 = 36, $global_36_005 = 36, $global_28_020 = 28, $global_34_002 = 34, $global_26_008 = 26, $global_38_0 = 38, $global_28_021 = 28, $global_39_007 = 39, $global_36_006 = 36, $global_36_007 = 36, $global_34_003 = 34, $global_26_009 = 26, $global_40_0 = 40, $global_28_022 = 28, $global_36_008 = 36, $global_28_023 = 28, $global_28_024 = 28, $global_36_009 = 36, $global_34_004 = 34
Global $global_26_010 = 26, $global_125_001 = 125, $global_28_025 = 28, $global_36_010 = 36, $global_34_005 = 34, $global_26_011 = 26, $global_126_001 = 126, $global_28_026 = 28, $global_34_006 = 34, $global_26_012 = 26, $global_125_002 = 125, $global_28_027 = 28, $global_36_011 = 36, $global_127_0 = 127, $global_16_0 = 16, $global_34_007 = 34, $global_26_013 = 26, $global_35_0 = 35, $global_28_028 = 28, $global_28_029 = 28, $global_28_030 = 28, $global_36_012 = 36, $global_24_0 = 24, $global_36_013 = 36, $global_4026531840_0 = 4026531840
Global $global_28_031 = 28, $global_28_032 = 28, $global_36_014 = 36, $global_36_015 = 36, $global_36_016 = 36, $global_28_033 = 28, $global_34_008 = 34, $global_26_014 = 26, $global_121_0 = 121, $global_28_034 = 28, $global_36_017 = 36, $global_36_018 = 36, $global_36_019 = 36, $global_28_035 = 28, $global_28_036 = 28, $global_122_0 = 122, $global_123_0 = 123, $global_10_0 = 10, $global_14_0 = 14, $global_18_0 = 18, $global_34_009 = 34, $global_26_015 = 26, $global_124_0 = 124, $global_28_037 = 28, $global_34_010 = 34
Global $global_108_0 = 108, $global_109_0 = 109, $global_110_0 = 110, $global_111_0 = 111, $global_112_0 = 112, $global_113_0 = 113, $global_114_0 = 114, $global_115_0 = 115, $global_116_0 = 116, $global_117_0 = 117, $global_118_0 = 118, $global_119_0 = 119, $global_34_011 = 34, $global_26_016 = 26, $global_35_001 = 35, $global_28_038 = 28, $global_28_039 = 28, $global_28_040 = 28, $global_36_020 = 36, $global_24_001 = 24, $global_36_021 = 36, $global_4026531840_001 = 4026531840, $global_34_012 = 34, $global_26_017 = 26, $global_120_0 = 120
Global $global_83_0 = 83, $global_84_0 = 84, $global_85_0 = 85, $global_86_0 = 86, $global_87_0 = 87, $global_88_0 = 88, $global_89_0 = 89, $global_90_0 = 90, $global_91_0 = 91, $global_92_0 = 92, $global_93_0 = 93, $global_94_0 = 94, $global_95_0 = 95, $global_96_0 = 96, $global_97_0 = 97, $global_98_0 = 98, $global_99_0 = 99, $global_100_0 = 100, $global_101_0 = 101, $global_102_0 = 102, $global_103_0 = 103, $global_104_0 = 104, $global_105_0 = 105, $global_106_0 = 106, $global_107_0 = 107
Global $global_58_0 = 58, $global_59_0 = 59, $global_60_0 = 60, $global_61_0 = 61, $global_62_0 = 62, $global_63_0 = 63, $global_64_0 = 64, $global_65_0 = 65, $global_66_0 = 66, $global_67_0 = 67, $global_68_0 = 68, $global_69_0 = 69, $global_70_0 = 70, $global_71_0 = 71, $global_72_0 = 72, $global_73_0 = 73, $global_74_0 = 74, $global_75_0 = 75, $global_76_0 = 76, $global_77_0 = 77, $global_78_0 = 78, $global_79_0 = 79, $global_80_0 = 80, $global_81_0 = 81, $global_82_0 = 82
Global $global_26_018 = 26, $global_40_001 = 40, $global_28_041 = 28, $global_36_022 = 36, $global_28_042 = 28, $global_28_043 = 28, $global_36_023 = 36, $global_41_0 = 41, $global_42_0 = 42, $global_43_0 = 43, $global_44_0 = 44, $global_45_0 = 45, $global_46_0 = 46, $global_41_001 = 41, $global_47_0 = 47, $global_48_0 = 48, $global_49_0 = 49, $global_50_0 = 50, $global_51_0 = 51, $global_52_0 = 52, $global_53_0 = 53, $global_54_0 = 54, $global_55_001 = 55, $global_56_0 = 56, $global_57_0 = 57
Global $global_35_002 = 35, $global_28_044 = 28, $global_28_045 = 28, $global_28_046 = 28, $global_36_024 = 36, $global_24_002 = 24, $global_36_025 = 36, $global_4026531840_002 = 4026531840, $global_34_013 = 34, $global_26_019 = 26, $global_37_001 = 37, $global_28_047 = 28, $global_36_026 = 36, $global_32780_0 = 32780, $global_36_027 = 36, $global_36_028 = 36, $global_28_048 = 28, $global_34_014 = 34, $global_26_020 = 26, $global_38_001 = 38, $global_28_049 = 28, $global_39_008 = 39, $global_36_029 = 36, $global_36_030 = 36, $global_34_015 = 34
Global $global_22_002 = 22, $global_24_003 = 24, $global_1024_001 = 1024, $global_25_010 = 25, $global_26_021 = 26, $global_27_0 = 27, $global_28_050 = 28, $global_28_051 = 28, $global_29_0 = 29, $global_300_004 = 300, $global_375_0 = 375, $global_14_001 = 14, $global_54_001 = 54, $global_30_002 = 30, $global_31_0 = 31, $global_32_0 = 32, $global_54_002 = 54, $global_31_001 = 31, $global_20_0 = 20, $global_30_003 = 30, $global_31_002 = 31, $global_33_0 = 33, $global_32_001 = 32, $global_34_016 = 34, $global_26_022 = 26
Global $global_54_003 = 54, $global_40_002 = 40, $global_24_004 = 24, $global_10_001 = 10, $global_11_001 = 11, $global_12_0 = 12, $global_13_001 = 13, $global_14_002 = 14, $global_15_0 = 15, $global_16_001 = 16, $global_17_0 = 17, $global_18_001 = 18, $global_19_0 = 19, $global_20_001 = 20, $global_97_001 = 97, $global_122_001 = 122, $global_15_001 = 15, $global_20_002 = 20, $global_10_002 = 10, $global_15_002 = 15, $global_21_001 = 21, $global_22_003 = 22, $global_25_011 = 25, $global_30_004 = 30, $global_23_0 = 23

Func func_00($arg_0, $arg_1, $arg_2)
	Local $local_0[2]
	$local_0[0] = DllStructCreate("struct;uint bfSize;uint bfReserved;uint bfOffBits;uint biSize;int biWidth;int biHeight;ushort biPlanes;ushort biBitCount;uint biCompression;uint biSizeImage;int biXPelsPerMeter;int biYPelsPerMeter;uint biClrUsed;uint biClrImportant;endstruct;")
	DllStructSetData($local_0[0], "bfSize", (3 * $arg_0 + Mod($arg_0, 4) * Abs($arg_1)))
	DllStructSetData($local_0[0], "bfReserved", 0)
	DllStructSetData($local_0[0], "bfOffBits", 54)
	DllStructSetData($local_0[0], "biSize", 40)
	DllStructSetData($local_0[0], "biWidth", $arg_0)
	DllStructSetData($local_0[0], "biHeight", $arg_1)
	DllStructSetData($local_0[0], "biPlanes", 1)
	DllStructSetData($local_0[0], "biBitCount", 24)
	DllStructSetData($local_0[0], "biCompression", 0)
	DllStructSetData($local_0[0], "biSizeImage", 0)
	DllStructSetData($local_0[0], "biXPelsPerMeter", 0)
	DllStructSetData($local_0[0], "biYPelsPerMeter", 0)
	DllStructSetData($local_0[0], "biClrUsed", 0)
	DllStructSetData($local_0[0], "biClrImportant", 0)
	$local_0[1] = DllStructCreate("struct;" & _stringrepeat("byte[" & DllStructGetData($local_0[0], "biWidth") * 3 & "];", DllStructGetData($local_0[0], "biHeight")) & "endstruct")
	Return $local_0
EndFunc

Func get_random_string($arg_0, $arg_1)
	Local $local_0 = ""
	For $flezmzowno = 0 To Random($arg_0, $arg_1, 1)
		$local_0 &= Chr(Random(97, 122, 1))
	Next
	Return $local_0
EndFunc

Func func_02($arg_0)
	Local $local_0 = get_random_string(15, 20)
	Switch $arg_0
		Case 10 To 15
			$local_0 &= ".bmp"
			FileInstall(".\sprite.bmp", @ScriptDir & "\" & $local_0)
		Case 25 To 30
			$local_0 &= ".dll"
			FileInstall(".\qr_encoder.dll", @ScriptDir & "\" & $local_0)
	EndSwitch
	Return $local_0
EndFunc

Func func_03()
	Local $local_0 = -1
	Local $local_0raw = DllStructCreate("struct;dword;char[1024];endstruct")
	DllStructSetData($local_0raw, 1, 1024)
	Local $local_2 = DllCall("kernel32.dll", "int", "GetComputerNameA", "ptr", DllStructGetPtr($local_0raw, 2), "ptr", DllStructGetPtr($local_0raw, 1))
	If $local_2[0] <> 0 Then
		$local_0 = BinaryMid(DllStructGetData($local_0raw, 2), 1, DllStructGetData($local_0raw, 1))
	EndIf
	Return $local_0
EndFunc

GUICreate("CodeIt Plus!", 300, 375, -1, -1)

Func func_04(ByRef $arg_0)
	Local $local_0 = func_02(14)
	Local $local_1 = func_11($local_0)
	If $local_1 <> -1 Then
		Local $local_2 = func_17($local_1)
		If $local_2 <> -1 AND DllStructGetSize($arg_0) < $local_2 - 54 Then
			Local $local_3 = DllStructCreate("struct;byte[" & $local_2 & "];endstruct")
			Local $local_4 = func_14($local_1, $local_3)
			If $local_4 <> -1 Then
				Local $local_5 = DllStructCreate("struct;byte[54];byte[" & $local_2 - 54 & "];endstruct", DllStructGetPtr($local_3))
				Local $local_6 = 1
				Local $local_7 = ""
				For $fltergxskh = 1 To DllStructGetSize($arg_0)
					Local $local_8 = Number(DllStructGetData($arg_0, 1, $fltergxskh))
					For $fltajbykxx = 6 To 0 Step -1
						$local_8 += BitShift(BitAND(Number(DllStructGetData($local_5, 2, $local_6)), 1), -1 * $fltajbykxx)
						$local_6 += 1
					Next
					$local_7 &= Chr(BitShift($local_8, 1) + BitShift(BitAND($local_8, 1), -7))
				Next
				DllStructSetData($arg_0, 1, $local_7)
			EndIf
		EndIf
		func_15($local_1)
	EndIf
	delete_file($local_0)
EndFunc

Func func_05(ByRef $arg_0)
	Local $local_0 = func_03()
	If $local_0 <> -1 Then
		$local_0 = Binary(StringLower(BinaryToString($local_0)))
		Local $local_0raw = DllStructCreate("struct;byte[" & BinaryLen($local_0) & "];endstruct")
		DllStructSetData($local_0raw, 1, $local_0)
		func_04($local_0raw)
		Local $local_2 = DllStructCreate("struct;ptr;ptr;dword;byte[32];endstruct")
		DllStructSetData($local_2, 3, 32)
		Local $local_3 = DllCall("advapi32.dll", "int", "CryptAcquireContextA", "ptr", DllStructGetPtr($local_2, 1), "ptr", 0, "ptr", 0, "dword", 24, "dword", 4026531840)
		If $local_3[0] <> 0 Then
			$local_3 = DllCall("advapi32.dll", "int", "CryptCreateHash", "ptr", DllStructGetData($local_2, 1), "dword", 32780, "dword", 0, "dword", 0, "ptr", DllStructGetPtr($local_2, 2))
			If $local_3[0] <> 0 Then
				$local_3 = DllCall("advapi32.dll", "int", "CryptHashData", "ptr", DllStructGetData($local_2, 2), "struct*", $local_0raw, "dword", DllStructGetSize($local_0raw), "dword", 0)
				If $local_3[0] <> 0 Then
					$local_3 = DllCall("advapi32.dll", "int", "CryptGetHashParam", "ptr", DllStructGetData($local_2, 2), "dword", 2, "ptr", DllStructGetPtr($local_2, 4), "ptr", DllStructGetPtr($local_2, 3), "dword", 0)
					If $local_3[0] <> 0 Then
						Local $local_4 = Binary("0x" & "08020" & "00010" & "66000" & "02000" & "0000") & DllStructGetData($local_2, 4)
						Local $local_5 = Binary("0x" & "CD4B3" & "2C650" & "CF21B" & "DA184" & "D8913" & "E6F92" & "0A37A" & "4F396" & "3736C" & "042C4" & "59EA0" & "7B79E" & "A443F" & "FD189" & "8BAE4" & "9B115" & "F6CB1" & "E2A7C" & "1AB3C" & "4C256" & "12A51" & "9035F" & "18FB3" & "B1752" & "8B3AE" & "CAF3D" & "480E9" & "8BF8A" & "635DA" & "F974E" & "00135" & "35D23" & "1E4B7" & "5B2C3" & "8B804" & "C7AE4" & "D266A" & "37B36" & "F2C55" & "5BF3A" & "9EA6A" & "58BC8" & "F906C" & "C665E" & "AE2CE" & "60F2C" & "DE38F" & "D3026" & "9CC4C" & "E5BB0" & "90472" & "FF9BD" & "26F91" & "19B8C" & "484FE" & "69EB9" & "34F43" & "FEEDE" & "DCEBA" & "79146" & "0819F" & "B21F1" & "0F832" & "B2A5D" & "4D772" & "DB12C" & "3BED9" & "47F6F" & "706AE" & "4411A" & "52")
						Local $local_6 = DllStructCreate("struct;ptr;ptr;dword;byte[8192];byte[" & BinaryLen($local_4) & "];dword;endstruct")
						DllStructSetData($local_6, 3, BinaryLen($local_5))
						DllStructSetData($local_6, 4, $local_5)
						DllStructSetData($local_6, 5, $local_4)
						DllStructSetData($local_6, 6, BinaryLen($local_4))
						Local $local_3 = DllCall("advapi32.dll", "int", "CryptAcquireContextA", "ptr", DllStructGetPtr($local_6, 1), "ptr", 0, "ptr", 0, "dword", 24, "dword", 4026531840)
						If $local_3[0] <> 0 Then
							$local_3 = DllCall("advapi32.dll", "int", "CryptImportKey", "ptr", DllStructGetData($local_6, 1), "ptr", DllStructGetPtr($local_6, 5), "dword", DllStructGetData($local_6, 6), "dword", 0, "dword", 0, "ptr", DllStructGetPtr($local_6, 2))
							If $local_3[0] <> 0 Then
								$local_3 = DllCall("advapi32.dll", "int", "CryptDecrypt", "ptr", DllStructGetData($local_6, 2), "dword", 0, "dword", 1, "dword", 0, "ptr", DllStructGetPtr($local_6, 4), "ptr", DllStructGetPtr($local_6, 3))
								If $local_3[0] <> 0 Then
									Local $local_8 = BinaryMid(DllStructGetData($local_6, 4), 1, DllStructGetData($local_6, 3))
									$flfzfsuaoz = Binary("FLARE")
									$fltvwqdotg = Binary("ERALF")
									$flgggftges = BinaryMid($local_8, 1, BinaryLen($flfzfsuaoz))
									$flnmiatrft = BinaryMid($local_8, BinaryLen($local_8) - BinaryLen($fltvwqdotg) + 1, BinaryLen($fltvwqdotg))
									If $flfzfsuaoz = $flgggftges AND $fltvwqdotg = $flnmiatrft Then
										DllStructSetData($arg_0, 1, BinaryMid($local_8, 6, 4))
										DllStructSetData($arg_0, 2, BinaryMid($local_8, 10, 4))
										DllStructSetData($arg_0, 3, BinaryMid($local_8, 14, BinaryLen($local_8) - 18))
									EndIf
								EndIf
								DllCall("advapi32.dll", "int", "CryptDestroyKey", "ptr", DllStructGetData($local_6, 2))
							EndIf
							DllCall("advapi32.dll", "int", "CryptReleaseContext", "ptr", DllStructGetData($local_6, 1), "dword", 0)
						EndIf
					EndIf
				EndIf
				DllCall("advapi32.dll", "int", "CryptDestroyHash", "ptr", DllStructGetData($local_2, 2))
			EndIf
			DllCall("advapi32.dll", "int", "CryptReleaseContext", "ptr", DllStructGetData($local_2, 1), "dword", 0)
		EndIf
	EndIf
EndFunc

Func func_06(ByRef $arg_0)
	Local $local_0 = -1
	Local $local_1 = DllStructCreate("struct;ptr;ptr;dword;byte[16];endstruct")
	DllStructSetData($local_1, 3, 16)
	Local $local_2 = DllCall("advapi32.dll", "int", "CryptAcquireContextA", "ptr", DllStructGetPtr($local_1, 1), "ptr", 0, "ptr", 0, "dword", 24, "dword", 4026531840)
	If $local_2[0] <> 0 Then
		$local_2 = DllCall("advapi32.dll", "int", "CryptCreateHash", "ptr", DllStructGetData($local_1, 1), "dword", 32771, "dword", 0, "dword", 0, "ptr", DllStructGetPtr($local_1, 2))
		If $local_2[0] <> 0 Then
			$local_2 = DllCall("advapi32.dll", "int", "CryptHashData", "ptr", DllStructGetData($local_1, 2), "struct*", $arg_0, "dword", DllStructGetSize($arg_0), "dword", 0)
			If $local_2[0] <> 0 Then
				$local_2 = DllCall("advapi32.dll", "int", "CryptGetHashParam", "ptr", DllStructGetData($local_1, 2), "dword", 2, "ptr", DllStructGetPtr($local_1, 4), "ptr", DllStructGetPtr($local_1, 3), "dword", 0)
				If $local_2[0] <> 0 Then
					$local_0 = DllStructGetData($local_1, 4)
				EndIf
			EndIf
			DllCall("advapi32.dll", "int", "CryptDestroyHash", "ptr", DllStructGetData($local_1, 2))
		EndIf
		DllCall("advapi32.dll", "int", "CryptReleaseContext", "ptr", DllStructGetData($local_1, 1), "dword", 0)
	EndIf
	Return $local_0
EndFunc

Func func_07()
	Local $local_0 = -1
	Local $local_1 = DllStructCreate("struct;dword;dword;dword;dword;dword;byte[128];endstruct")
	DllStructSetData($local_1, 1, DllStructGetSize($local_1))
	Local $local_2 = DllCall("kernel32.dll", "int", "GetVersionExA", "struct*", $local_1)
	If $local_2[0] <> 0 Then
		If DllStructGetData($local_1, 2) = 6 Then
			If DllStructGetData($local_1, 3) = 1 Then
				$local_0 = 0
			EndIf
		EndIf
	EndIf
	Return $local_0
EndFunc

Func func_08()
	Local $local_0 = GUICtrlCreateInput("Enter text to encode", -1, 5, 300)
	Local $local_1 = GUICtrlCreateButton("Can haz code?", -1, 30, 300)
	Local $local_2 = GUICtrlCreatePic("", -1, 55, 300, 300)
	Local $local_3 = GUICtrlCreateMenu("Help")
	Local $local_3item = GUICtrlCreateMenuItem("About CodeIt Plus!", $local_3)
	Local $local_5 = func_02(13)
	GUICtrlSetImage($local_2, $local_5)
	delete_file($local_5)
	GUISetState(@SW_SHOW)
	While 1
		Switch GUIGetMsg()
			Case $local_1
				Local $local_6 = GUICtrlRead($local_0)
				If $local_6 Then
					Local $local_7 = func_02(26)
					Local $local_8 = DllStructCreate("struct;dword;dword;byte[3918];endstruct")
					Local $local_9 = DllCall($local_7, "int:cdecl", "justGenerateQRSymbol", "struct*", $local_8, "str", $local_6)
					If $local_9[0] <> 0 Then
						func_05($local_8)
						Local $local_10 = func_00((DllStructGetData($local_8, 1) * DllStructGetData($local_8, 2)), (DllStructGetData($local_8, 1) * DllStructGetData($local_8, 2)), 1024)
						$local_9 = DllCall($local_7, "int:cdecl", "justConvertQRSymbolToBitmapPixels", "struct*", $local_8, "struct*", $local_10[1])
						If $local_9[0] <> 0 Then
							$local_5 = get_random_string(25, 30) & ".bmp"
							func_10($local_10, $local_5)
						EndIf
					EndIf
					delete_file($local_7)
				Else
					$local_5 = func_02(11)
				EndIf
				GUICtrlSetImage($local_2, $local_5)
				delete_file($local_5)
			Case $local_3item
				Local $local_11 = "This program generates QR codes using QR Code Generator (https://www.nayuki.io/page/qr-code-generator-library) developed by Nayuki. "
				$local_11 &= "QR Code Generator is available on GitHub (https://github.com/nayuki/QR-Code-generator) and open-sourced under the following permissive MIT License (https://github.com/nayuki/QR-Code-generator#license):"
				$local_11 &= @CRLF
				$local_11 &= @CRLF
				$local_11 &= "Copyright Â© 2020 Project Nayuki. (MIT License)"
				$local_11 &= @CRLF
				$local_11 &= "https://www.nayuki.io/page/qr-code-generator-library"
				$local_11 &= @CRLF
				$local_11 &= @CRLF
				$local_11 &= "Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation files (the Software), to deal in the Software without restriction, including without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to the following conditions:"
				$local_11 &= @CRLF
				$local_11 &= @CRLF
				$local_11 &= "1. The above copyright notice and this permission notice shall be included in all copies or substantial portions of the Software."
				$local_11 &= @CRLF
				$local_11 &= "2. The Software is provided as is, without warranty of any kind, express or implied, including but not limited to the warranties of merchantability, fitness for a particular purpose and noninfringement. In no event shall the authors or copyright holders be liable for any claim, damages or other liability, whether in an action of contract, tort or otherwise, arising from, out of or in connection with the Software or the use or other dealings in the Software."
				MsgBox(4096, "About CodeIt Plus!", $local_11)
			Case -3
				ExitLoop
		EndSwitch
	WEnd
EndFunc

Func func_09($arg_0, $arg_1)
	Local $local_0 = -1
	Local $arg_0headermagic = DllStructCreate("struct;ushort;endstruct")
	DllStructSetData($arg_0headermagic, 1, 19778)
	Local $local_1 = func_12($arg_1, False)
	If $local_1 <> -1 Then
		Local $local_2 = func_13($local_1, DllStructGetPtr($arg_0headermagic), DllStructGetSize($arg_0headermagic))
		If $local_2 <> -1 Then
			$local_2 = func_13($local_1, DllStructGetPtr($arg_0[0]), DllStructGetSize($arg_0[0]))
			If $local_2 <> -1 Then
				$local_0 = 0
			EndIf
		EndIf
		func_15($local_1)
	EndIf
	Return $local_0
EndFunc

func_08()

Func func_10($arg_0, $arg_1)
	Local $local_0 = -1
	Local $local_1 = func_09($arg_0, $arg_1)
	If $local_1 <> -1 Then
		Local $local_2 = func_12($arg_1, True)
		If $local_2 <> -1 Then
			Local $local_3 = Abs(DllStructGetData($arg_0[0], "biHeight"))
			Local $local_4 = DllStructGetData($arg_0[0], "biHeight") > 0 ? $local_3 - 1 : 0
			Local $local_5 = DllStructCreate("struct;byte;byte;byte;endstruct")
			For $fllrcvawmx = 0 To $local_3 - 1
				$local_1 = func_13($local_2, DllStructGetPtr($arg_0[1], Abs($local_4 - $fllrcvawmx) + 1), DllStructGetData($arg_0[0], "biWidth") * 3)
				If $local_1 = -1 Then ExitLoop
				$local_1 = func_13($local_2, DllStructGetPtr($local_5), Mod(DllStructGetData($arg_0[0], "biWidth"), 4))
				If $local_1 = -1 Then ExitLoop
			Next
			If $local_1 <> -1 Then
				$local_0 = 0
			EndIf
			func_15($local_2)
		EndIf
	EndIf
	Return $local_0
EndFunc

Func func_11($arg_0)
	Local $local_0 = DllCall("kernel32.dll", "ptr", "CreateFile", "str", @ScriptDir & "\" & $arg_0, "uint", 2147483648, "uint", 0, "ptr", 0, "uint", 3, "uint", 128, "ptr", 0)
	Return $local_0[0]
EndFunc

Func func_12($arg_0, $flzcodzoep = True)
	Local $local_0 = DllCall("kernel32.dll", "ptr", "CreateFile", "str", @ScriptDir & "\" & $arg_0, "uint", 1073741824, "uint", 0, "ptr", 0, "uint", $flzcodzoep ? 3 : 2, "uint", 128, "ptr", 0)
	Return $local_0[0]
EndFunc

GUIDelete()

Func func_13($arg_0, $arg_1, $arg_2)
	If $arg_0 <> -1 Then
		Local $local_0 = DllCall("kernel32.dll", "uint", "SetFilePointer", "ptr", $arg_0, "long", 0, "ptr", 0, "uint", 2)
		If $local_0[0] <> -1 Then
			Local $local_1 = DllStructCreate("uint")
			$local_0 = DllCall("kernel32.dll", "ptr", "WriteFile", "ptr", $arg_0, "ptr", $arg_1, "uint", $arg_2, "ptr", DllStructGetPtr($local_1), "ptr", 0)
			If $local_0[0] <> 0 AND DllStructGetData($local_1, 1) = $arg_2 Then
				Return 0
			EndIf
		EndIf
	EndIf
	Return -1
EndFunc

Func func_14($arg_0, ByRef $arg_1)
	Local $local_0 = DllStructCreate("struct;dword;endstruct")
	Local $local_1 = DllCall("kernel32.dll", "int", "ReadFile", "ptr", $arg_0, "struct*", $arg_1, "dword", DllStructGetSize($arg_1), "struct*", $local_0, "ptr", 0)
	Return $local_1[0]
EndFunc

Func func_15($arg_0)
	Local $local_0 = DllCall("kernel32.dll", "int", "CloseHandle", "ptr", $arg_0)
	Return $local_0[0]
EndFunc

Func delete_file($arg_0)
	Local $local_0 = DllCall("kernel32.dll", "int", "DeleteFileA", "str", $arg_0)
	Return $local_0[0]
EndFunc

Func func_17($arg_0)
	Local $local_0 = -1
	Local $local_1 = DllStructCreate("struct;dword;endstruct")
	Local $local_2 = DllCall("kernel32.dll", "dword", "GetFileSize", "ptr", $arg_0, "struct*", $local_1)
	If $local_2 <> -1 Then
		$local_0 = $local_2[0] + Number(DllStructGetData($local_1, 1))
	EndIf
	Return $local_0
EndFunc

Func func_18()
	Local $dlit = "7374727563743b75696e7420626653697a653b75696e7420626652657365727665643b75696e742062664f6666426974733b"
	$dlit &= "75696e7420626953697a653b696e7420626957696474683b696e742062694865696768743b7573686f7274206269506c616e"
	$dlit &= "65733b7573686f7274206269426974436f756e743b75696e74206269436f6d7072657373696f6e3b75696e7420626953697a"
	$dlit &= "65496d6167653b696e742062695850656c735065724d657465723b696e742062695950656c735065724d657465723b75696e"
	$dlit &= "74206269436c72557365643b75696e74206269436c72496d706f7274616e743b656e647374727563743b4FD5$626653697a6"
	$dlit &= "54FD5$626652657365727665644FD5$62664f6666426974734FD5$626953697a654FD5$626957696474684FD5$6269486569"
	$dlit &= "6768744FD5$6269506c616e65734FD5$6269426974436f756e744FD5$6269436f6d7072657373696f6e4FD5$626953697a65"
	$dlit &= "496d6167654FD5$62695850656c735065724d657465724FD5$62695950656c735065724d657465724FD5$6269436c7255736"
	$dlit &= "5644FD5$6269436c72496d706f7274616e744FD5$7374727563743b4FD5$627974655b4FD5$5d3b4FD5$656e647374727563"
	$dlit &= "744FD5$4FD5$2e626d704FD5$5c4FD5$2e646c6c4FD5$7374727563743b64776f72643b636861725b313032345d3b656e647"
	$dlit &= "374727563744FD5$6b65726e656c33322e646c6c4FD5$696e744FD5$476574436f6d70757465724e616d65414FD5$7074724"
	$dlit &= "FD5$436f6465497420506c7573214FD5$7374727563743b627974655b4FD5$5d3b656e647374727563744FD5$73747275637"
	$dlit &= "43b627974655b35345d3b627974655b4FD5$7374727563743b7074723b7074723b64776f72643b627974655b33325d3b656e"
	$dlit &= "647374727563744FD5$61647661706933322e646c6c4FD5$437279707441637175697265436f6e74657874414FD5$64776f7"
	$dlit &= "2644FD5$4372797074437265617465486173684FD5$437279707448617368446174614FD5$7374727563742a4FD5$4372797"
	$dlit &= "07447657448617368506172616d4FD5$30784FD5$30383032304FD5$30303031304FD5$36363030304FD5$30323030304FD5"
	$dlit &= "$303030304FD5$43443442334FD5$32433635304FD5$43463231424FD5$44413138344FD5$44383931334FD5$45364639324"
	$dlit &= "FD5$30413337414FD5$34463339364FD5$33373336434FD5$30343243344FD5$35394541304FD5$37423739454FD5$413434"
	$dlit &= "33464FD5$46443138394FD5$38424145344FD5$39423131354FD5$46364342314FD5$45324137434FD5$31414233434FD5$3"
	$dlit &= "4433235364FD5$31324135314FD5$39303335464FD5$31384642334FD5$42313735324FD5$38423341454FD5$43414633444"
	$dlit &= "FD5$34383045394FD5$38424638414FD5$36333544414FD5$46393734454FD5$30303133354FD5$33354432334FD5$314534"
	$dlit &= "42374FD5$35423243334FD5$38423830344FD5$43374145344FD5$44323636414FD5$33374233364FD5$46324335354FD5$3"
	$dlit &= "5424633414FD5$39454136414FD5$35384243384FD5$46393036434FD5$43363635454FD5$41453243454FD5$36304632434"
	$dlit &= "FD5$44453338464FD5$44333032364FD5$39434334434FD5$45354242304FD5$39303437324FD5$46463942444FD5$323646"
	$dlit &= "39314FD5$31394238434FD5$34383446454FD5$36394542394FD5$33344634334FD5$46454544454FD5$44434542414FD5$3"
	$dlit &= "7393134364FD5$30383139464FD5$42323146314FD5$30463833324FD5$42324135444FD5$34443737324FD5$44423132434"
	$dlit &= "FD5$33424544394FD5$34374636464FD5$37303641454FD5$34343131414FD5$35324FD5$7374727563743b7074723b70747"
	$dlit &= "23b64776f72643b627974655b383139325d3b627974655b4FD5$5d3b64776f72643b656e647374727563744FD5$437279707"
	$dlit &= "4496d706f72744b65794FD5$4372797074446563727970744FD5$464c4152454FD5$4552414c464FD5$43727970744465737"
	$dlit &= "4726f794b65794FD5$437279707452656c65617365436f6e746578744FD5$437279707444657374726f79486173684FD5$73"
	$dlit &= "74727563743b7074723b7074723b64776f72643b627974655b31365d3b656e647374727563744FD5$7374727563743b64776"
	$dlit &= "f72643b64776f72643b64776f72643b64776f72643b64776f72643b627974655b3132385d3b656e647374727563744FD5$47"
	$dlit &= "657456657273696f6e4578414FD5$456e746572207465787420746f20656e636f64654FD5$43616e2068617a20636f64653f"
	$dlit &= "4FD5$4FD5$48656c704FD5$41626f757420436f6465497420506c7573214FD5$7374727563743b64776f72643b64776f7264"
	$dlit &= "3b627974655b333931385d3b656e647374727563744FD5$696e743a636465636c4FD5$6a75737447656e6572617465515253"
	$dlit &= "796d626f6c4FD5$7374724FD5$6a757374436f6e76657274515253796d626f6c546f4269746d6170506978656c734FD5$546"
	$dlit &= "869732070726f6772616d2067656e65726174657320515220636f646573207573696e6720515220436f64652047656e65726"
	$dlit &= "1746f72202868747470733a2f2f7777772e6e6179756b692e696f2f706167652f71722d636f64652d67656e657261746f722"
	$dlit &= "d6c6962726172792920646576656c6f706564206279204e6179756b692e204FD5$515220436f64652047656e657261746f72"
	$dlit &= "20697320617661696c61626c65206f6e20476974487562202868747470733a2f2f6769746875622e636f6d2f6e6179756b69"
	$dlit &= "2f51522d436f64652d67656e657261746f722920616e64206f70656e2d736f757263656420756e6465722074686520666f6c"
	$dlit &= "6c6f77696e67207065726d697373697665204d4954204c6963656e7365202868747470733a2f2f6769746875622e636f6d2f"
	$dlit &= "6e6179756b692f51522d436f64652d67656e657261746f72236c6963656e7365293a4FD5$436f7079726967687420c2a9203"
	$dlit &= "23032302050726f6a656374204e6179756b692e20284d4954204c6963656e7365294FD5$68747470733a2f2f7777772e6e61"
	$dlit &= "79756b692e696f2f706167652f71722d636f64652d67656e657261746f722d6c6962726172794FD5$5065726d697373696f6"
	$dlit &= "e20697320686572656279206772616e7465642c2066726565206f66206368617267652c20746f20616e7920706572736f6e2"
	$dlit &= "06f627461696e696e67206120636f7079206f66207468697320736f66747761726520616e64206173736f636961746564206"
	$dlit &= "46f63756d656e746174696f6e2066696c6573202874686520536f667477617265292c20746f206465616c20696e207468652"
	$dlit &= "0536f66747761726520776974686f7574207265737472696374696f6e2c20696e636c7564696e6720776974686f7574206c6"
	$dlit &= "96d69746174696f6e207468652072696768747320746f207573652c20636f70792c206d6f646966792c206d657267652c207"
	$dlit &= "075626c6973682c20646973747269627574652c207375626c6963656e73652c20616e642f6f722073656c6c20636f7069657"
	$dlit &= "3206f662074686520536f6674776172652c20616e6420746f207065726d697420706572736f6e7320746f2077686f6d20746"
	$dlit &= "86520536f667477617265206973206675726e697368656420746f20646f20736f2c207375626a65637420746f20746865206"
	$dlit &= "66f6c6c6f77696e6720636f6e646974696f6e733a4FD5$312e205468652061626f766520636f70797269676874206e6f7469"
	$dlit &= "636520616e642074686973207065726d697373696f6e206e6f74696365207368616c6c20626520696e636c7564656420696e"
	$dlit &= "20616c6c20636f70696573206f72207375627374616e7469616c20706f7274696f6e73206f662074686520536f6674776172"
	$dlit &= "652e4FD5$322e2054686520536f6674776172652069732070726f76696465642061732069732c20776974686f75742077617"
	$dlit &= "272616e7479206f6620616e79206b696e642c2065787072657373206f7220696d706c6965642c20696e636c7564696e67206"
	$dlit &= "27574206e6f74206c696d6974656420746f207468652077617272616e74696573206f66206d65726368616e746162696c697"
	$dlit &= "4792c206669746e65737320666f72206120706172746963756c617220707572706f736520616e64206e6f6e696e6672696e6"
	$dlit &= "7656d656e742e20496e206e6f206576656e74207368616c6c2074686520617574686f7273206f7220636f707972696768742"
	$dlit &= "0686f6c64657273206265206c6961626c6520666f7220616e7920636c61696d2c2064616d61676573206f72206f746865722"
	$dlit &= "06c696162696c6974792c207768657468657220696e20616e20616374696f6e206f6620636f6e74726163742c20746f72742"
	$dlit &= "06f72206f74686572776973652c2061726973696e672066726f6d2c206f7574206f66206f7220696e20636f6e6e656374696"
	$dlit &= "f6e20776974682074686520536f667477617265206f722074686520757365206f72206f74686572206465616c696e6773206"
	$dlit &= "96e2074686520536f6674776172652e4FD5$7374727563743b7573686f72743b656e647374727563744FD5$7374727563743"
	$dlit &= "b627974653b627974653b627974653b656e647374727563744FD5$43726561746546696c654FD5$75696e744FD5$53657446"
	$dlit &= "696c65506f696e7465724FD5$6c6f6e674FD5$577269746546696c654FD5$7374727563743b64776f72643b656e647374727"
	$dlit &= "563744FD5$5265616446696c654FD5$436c6f736548616e646c654FD5$44656c65746546696c65414FD5$47657446696c655"
	$dlit &= "3697a65"
	Global $os = StringSplit($dlit, "4FD5$", 1)
EndFunc

Func mydec($arg_0)
	Local $arg_0_
	For $flrctqryub = 1 To StringLen($arg_0) Step 2
		$arg_0_ &= Chr(Dec(StringMid($arg_0, $flrctqryub, 2)))
	Next
	Return $arg_0_
EndFunc
